<solidify-empty-container (onEscape)="backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-funding-agencies-form #formPresentational
                                      (checkAvailableChange)="checkAvailable($event)"
                                      (dirtyChange)="updateCanDeactivate($event)"
                                      (navigate)="navigate($event)"
                                      (submitChange)="create($event)"
                                      *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                      [listOrgUnits]="listOrgUnitsObs | async"
                                      [solidifyFocusFirstElement]="true"
    >
    </dlcm-admin-funding-agencies-form>
  </div>
</solidify-empty-container>
